/*
 * impleCode Form Builder
 * http://impleCode.com
 *
 * Copyright 2014 impleCode
 * Free to use under the GPLv3 license.
 * http://www.gnu.org/licenses/gpl-3.0.html
 *
 * Contributing author: Norbert Dreszer
 */

.ui-timepicker-div .ui-widget-header { margin-bottom: 8px; }
.ui-timepicker-div dl { text-align: left; }
.ui-timepicker-div dl dt { float: left; clear:left; padding: 0 0 0 5px; }
.ui-timepicker-div dl dd { margin: 0 10px 10px 40%; }
.ui-timepicker-div td { font-size: 90%; }
.ui-tpicker-grid-label { background: none; border: none; margin: 0; padding: 0; }
.ui-timepicker-div .ui_tpicker_unit_hide{ display: none; }

.ui-timepicker-div .ui_tpicker_time .ui_tpicker_time_input { background: none; color: inherit; border: none; outline: none; border-bottom: solid 1px #555; width: 95%; }
.ui-timepicker-div .ui_tpicker_time .ui_tpicker_time_input:focus { border-bottom-color: #aaa; }

.ui-timepicker-rtl{ direction: rtl; }
.ui-timepicker-rtl dl { text-align: right; padding: 0 5px 0 0; }
.ui-timepicker-rtl dl dt{ float: right; clear: right; }
.ui-timepicker-rtl dl dd { margin: 0 40% 10px 10px; }

/* Shortened version style */
.ui-timepicker-div.ui-timepicker-oneLine { padding-right: 2px; }
.ui-timepicker-div.ui-timepicker-oneLine .ui_tpicker_time,
.ui-timepicker-div.ui-timepicker-oneLine dt { display: none; }
.ui-timepicker-div.ui-timepicker-oneLine .ui_tpicker_time_label { display: block; padding-top: 2px; }
.ui-timepicker-div.ui-timepicker-oneLine dl { text-align: right; }
.ui-timepicker-div.ui-timepicker-oneLine dl dd,
.ui-timepicker-div.ui-timepicker-oneLine dl dd > div { display:inline-block; margin:0; }
.ui-timepicker-div.ui-timepicker-oneLine dl dd.ui_tpicker_minute:before,
.ui-timepicker-div.ui-timepicker-oneLine dl dd.ui_tpicker_second:before { content:':'; display:inline-block; }
.ui-timepicker-div.ui-timepicker-oneLine dl dd.ui_tpicker_millisec:before,
.ui-timepicker-div.ui-timepicker-oneLine dl dd.ui_tpicker_microsec:before { content:'.'; display:inline-block; }
.ui-timepicker-div.ui-timepicker-oneLine .ui_tpicker_unit_hide,
.ui-timepicker-div.ui-timepicker-oneLine .ui_tpicker_unit_hide:before{ display: none; }

div.ic-form {
	width: auto;
	border-bottom: 1px solid #ededed;
	margin: 0 auto;
	padding: 15px;
}

div.ic-form .button {
	width: auto;
}

div.ic-form input.error {
	border-color: red;
}

div.ic-form .form_section {
	display: table;
	width: 100%;
	table-layout: fixed;
	margin-bottom: 20px;
}

div.ic-form input.number {
	width: 50px;
	text-align: center;
}

div.ic-form input.number.date-field {
	padding: 5px;
}

div.ic-form .address_line > span {
	width: 49.5%;
	display: inline-block;
	margin-top: 10px;
}

div.ic-form .address_line select {
	padding: 2px;
	max-width: 100%;
}

div.ic-form input.price {
	width: 70px;
	text-align: left;
}

div.ic-form span.year input.number {
	width: 70px;
}

div.ic-form span.month, div.ic-form span.day, div.ic-form span.year, div.ic-form span.hour, div.ic-form span.minute, div.ic-form span.second {
	display: inline-block;
}
div.ic-form span.month label, div.ic-form span.day label, div.ic-form span.year label, div.ic-form span.hour label, div.ic-form span.minute label, div.ic-form span.second label {
	display: block;
}

div.ic-form span.time-of-day {
	display: inline-block;
	width: 57px;
	vertical-align: top;
}

div.ic-form span.time-of-day select {
	padding: 1px;
}

div.ic-form .sep {
	display: inline-block;
	vertical-align: top;
	margin-top: 7px;
}

div.ic-form input, div.ic-form textarea, div.ic-form form {
	max-width: 100%;
	width: 100%;
	box-sizing: border-box;
}

div.ic-form input[type=radio] {
	width: auto;
	margin: 0;
	padding: 0;
	border: 0;
	display: inline;
}

div.ic-form input.small, div.ic-form textarea.small, div.ic-form.small form  {
	width: 185px;
}

div.ic-form input.medium, div.ic-form textarea.medium, div.ic-form.label-top.medium form  {
	width: 400px;
	max-width: 100%;
}

div.ic-form.label-top.medium form  {
	width: 480px;
	max-width: 100%;
	margin: 0 auto;
}

div.ic-form h5.section-break {
	font-size: 1.5em;
	border-bottom: 1px solid #ededed;
	line-height: 1.2;
	margin: 10px 0;
}

div.ic-form.label-top h5.section-break {
	margin-top: 25px;
}

div.ic-form.centered .row .label {
	text-align: right;
	padding-right: 5px;
	width: 40%;
}

div.ic-form.centered .section-break {
	text-align: left;
}

div.ic-form.centered .row .field {
	text-align: left;
	padding-left: 5px;
	width: 60%;
}

div.ic-form select {
	padding: 5px;
	width: 100%;
	max-width: 400px;
}

div.ic-form .classic-button {
	padding: 10px;
	width: 196px;
	border: 1px solid #d9d9d9;
	border-top: 1px solid #c0c0c0;
	border-radius: 1px;
	cursor: pointer;
}

div.ic-form .classic-button:hover, div.ic-form .classic-button:active {
	border: 1px solid #b9b9b9;
	border-top: 1px solid #a0a0a0;
	box-shadow: inset 0 1px 2px rgba(0,0,0,0.1);
}

div.button-container {
	display: table;
	margin: 40px auto;
}

div.ic-form .field-comment, div.ic-form .field-comment a {
	margin-top: 0;
	font-size: 12px;
	line-height: 1.2;
}

/* Label Left Theme */
div.ic-form .row{
	display: table-row;
}

div.ic-form .row.section_break {
	display: table-caption;
}

div.ic-form .row .label {
	display: table-cell;
	width: 40%;
	max-width: 100%;
	vertical-align: middle;
	color:inherit;
	background: none;
}

div.ic-form .field label {
	font-size: inherit;
	font-style: inherit;
	font-weight: inherit;
	margin: 0;
	padding: 0;
	vertical-align: middle;
	width: auto;
	max-width: 95%;
	display: inline;
}

div.ic-form .row.no-shipping-notice-inside .label {
	vertical-align: top;
	padding-top: 10px;
}

div.ic-form .row .field {
	display: table-cell;
	max-width: 100%;
	vertical-align: middle;
	width: 60%;
}

div.ic-form .button-container {
	text-align: center;
	padding: 20px 0 10px 0;
}

div.ic-form .field, div.ic-form .label {
	line-height: 1.1;
	padding: 3px 5px;
}

div.ic-form.label-left.centered .field, div.ic-form.label-left.centered .label {
	padding: 7px  5px 7px 0;
}

div.ic-form.label-left.centered .row.comment .field, div.ic-form.label-left.centered  .row.comment .label {
    padding-top: 0;
}

div.ic-form .row:before, div.ic-form .row:after {
	content: "";
	display: none;
}

/* Label Top Theme */
div.ic-form.label-top .label {
	line-height: 1.1;
	margin-top: 10px;
	display: block;
	font-weight: bold;
    width: auto;
}

div.ic-form.label-top .row .field {
    display: block;
    width: auto;
}

div.ic-form.label-top .payment-options-section .label {
	display: table-cell;
	width: 150px;
}

div.ic-form .small-table {
	display: table;
	table-layout: fixed;
	width: 100%;
}

div.ic-form .small-row {
	display: table-row;
}

div.ic-form .small-row .cell {
	display: table-cell;
	vertical-align: top;
}

div.ic-form .small-row .cell .small-container {
	display: inline-block;
	max-width: 100%;
	padding: 0 3px 0 0;
}

div.ic-form .small-row .cell.second {
	text-align: right;
}

div.ic-form .small-row .cell .small-container.second {
	text-align: left;
	padding: 0 0 0 3px;
}

/* Notifications */
div.ic_formbuilder_warning.center .al-box, div.ic_formbuilder_success.center .al-box {
	margin: 0 auto;
}

div.ic_formbuilder_warning .smaller {
	font-size: 75%;
}

div.ic_formbuilder_warning .login_button {
	display: inline;
}

/* Payment */
div.ic-form div.payment-options img, div.payment-options a img {
	max-height: 70px;
	margin-left: 10px;
	border: none;
	box-shadow: none;
}

div.ic-form .payment-options {
	text-align: left;
}

div.ic-form .payment-options .label, div.ic-form .payment-options .field {
	padding-top: 20px;
}

div.ic-form div.payment-options .field img {
	border: none;
	outline: none;
	box-shadow: none;
	float:right;
	clear: right;
}

div.ic-form div.payment-options .field label {
	display: inline-block;
	width: 95%;
	text-align: left;
	font-size: 15px;
	padding: 5px 20px 0px 0px;
	position: relative;
	top: -1px;
}

div.ic-form .row.payment-options .label {
	vertical-align: top;
	text-align: right;
	padding-right: 8px;
}

div.ic-form div.payment-options .label input {
	width: auto;
	top: 5px;
	position: relative;
}

.ic-form input[name="ic_autocheck"].autocheck {
	display: none;
}

.ic-form .ic-custom-field-container {
	display: none !important;
}

.ic-form .new-price div {
	display: inline-block;
	font-size: inherit;
}

/* Field Types */

div.ic-form .radio .field .input, div.ic-form .checkboxes .field .input {
	width: auto;
	position: relative;
	vertical-align: middle;
	top: initial;
	float: none;
	line-height: 1;
}

@media (max-width: 600px) {
	div.ic-form.centered .row .label, div.ic-form.centered .row .field {
		display: block;
		text-align: left;
		min-width: 50px;
		padding-left: 0;
		padding-right: 0;
		width: auto;
	}
	div.ic-form.centered .row {
		display: block;
	}
	div.ic-form .row.payment-options .label, div.ic-form .row.payment-options .field {
		display: inline-block;
	}

	div.ic-form .row.payment-options .label {
		width: 10%;
		min-width: 0;
	}
	div.ic-form .row.payment-options .field label {
		padding-right: 0;
		width: 100%;
	}
	div.ic-form .row.payment-options .field {
		width: 90%;
	}

	div.ic-form span.after-order-button {
		width: 100%;
		text-align: center;
		padding: 0;
		padding-top: 5px;
	}

	div.ic-form .button-container {
		padding: 0;
		display: block;
	}
	div.ic-form .button {
		margin: 0 auto;
		float: none;
	}

}
